package sra.jun.csg.abstracts;

import sra.jun.solid.abstracts.JunSolid;

/**
 * JunUnaryCSG class
 * 
 *  @author    nisinaka
 *  @created   1998/10/19 (by nisinaka)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on JunXXX for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunUnaryCSG.java,v 6.0 2003/10/28 10:52:03 nisinaka Exp $
 */
public abstract class JunUnaryCSG extends JunCSG {
	protected JunSolid solid;

	/**
	 * Create a new instance of JunBinaryCSG.
	 * 
	 * @param aSolid sra.jun.solid.abstracts.JunSolid
	 */
	public JunUnaryCSG(JunSolid aSolid) {
		this.solid_(aSolid);
	}

	/**
	 * Answer the solid.
	 * 
	 * @return sra.jun.solid.abstracts.JunSolid
	 */
	public JunSolid solid() {
		return solid;
	}

	/**
	 * Set the solid.
	 * 
	 * @param aSolid sra.jun.solid.abstracts.JunSolid
	 */
	public void solid_(JunSolid aSolid) {
		solid = aSolid;
	}
}
