package sra.jun.delaunay.twoD;

/**
 * Jun2dDelaunayBoundaryVertex class
 * 
 *  @author    Ryouichi Matsuda
 *  @created   2002/01/14 (by Ryouichi Matsuda)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on JunXXX for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: Jun2dDelaunayBoundaryVertex.java,v 6.0 2003/10/28 10:52:03 nisinaka Exp $
 */
public class Jun2dDelaunayBoundaryVertex extends Jun2dDelaunayVertex {

	/**
	 * Create a new instance of Jun2dDelaunayBoundaryVertex.
	 * 
	 * @param x double
	 * @param y double
	 */
	public Jun2dDelaunayBoundaryVertex(double x, double y) {
		super(x, y);
	}

	/**
	 * Create a new instance of Jun2dDelaunayBoundaryVertex.
	 * 
	 * @param x double
	 * @param y double
	 * @param z double
	 */
	public Jun2dDelaunayBoundaryVertex(double x, double y, double z) {
		super(x, y, z);
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public boolean isBoundaryVertex() {
		return true;
	}
}
