package sra.jun.geometry.abstracts;

/**
 * JunSurface class
 * 
 *  @author    nisinaka
 *  @created   1998/09/29 (by nisinaka)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on Jun508 for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunSurface.java,v 6.0 2003/10/28 10:52:04 nisinaka Exp $
 */
public abstract class JunSurface extends JunGeometry {

	/**
	 * Answer true if this is a kind of Surface geometry object, otherwise
	 * false.
	 * 
	 * @return boolean
	 * 
	 * @category testing
	 */
	public boolean isSurface() {
		return true;
	}
}
