package sra.jun.geometry.curves;

import sra.jun.geometry.basic.*;
import sra.jun.system.support.*;

/**
 * Jun3dLineTestExamples class
 * 
 *  @author    nisinaka
 *  @created   1998/10/09 (by nisinaka)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on JunXXX for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: Jun3dLineTestExamples.java,v 6.0 2003/10/28 10:52:06 nisinaka Exp $
 */
public class Jun3dLineTestExamples extends JunTestExamples {

	/**
	 * DOCUMENT ME!
	 * 
	 * @return DOCUMENT ME!
	 */
	public static boolean Example1() {
		Jun3dPoint fromPoint = new Jun3dPoint(10, 20, 30);
		Jun3dPoint toPoint = new Jun3dPoint(0, 0, 0);
		Jun3dLine aLine = new Jun3dLine(fromPoint, toPoint);
		System.out.println(aLine.printString());

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 */
	public static void main(String[] args) {
		new Jun3dLineTestExamples();
	}
}
