package sra.jun.goodies.calendar;

import sra.smalltalk.StView;

/**
 * JunCalendarClockDate class
 * 
 *  @author    Nobuto Matsubara
 *  @created   2003/10/06 (by Nobuto Matsubara)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on Jun472 for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunCalendarClockDate.java,v 6.0 2003/10/28 10:52:07 nisinaka Exp $
 */
public class JunCalendarClockDate extends JunCalendarClockDateAndTime {
	/**
	 * Default view.
	 *
	 * @return sra.smalltalk.StView
	 * @category defaults
	 */
	public StView defaultView() {
		JunCalendarClockDateView aView;
		if (GetDefaultViewMode() == VIEW_AWT) {
			aView = new JunCalendarClockDateViewAwt(this);
		} else {
			aView = new JunCalendarClockDateViewSwing(this);
		}
		return aView;
	}

	/**
	 * Return window title.
	 *
	 * @return java.lang.String
	 * @category interface opening
	 */
	protected String windowTitle() {
		return "JunCalendarClockDate";
	}
}
