package sra.jun.goodies.calendar;

import sra.jun.system.support.JunTestExamples;

/**
 * JunCalendarDateAndTimeIntervalDialogTestExamples class
 * 
 *  @author    Nobuto Matsubara
 *  @created   2003/10/06 (by Nobuto Matsubara)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on Jun472 for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunCalendarDateAndTimeIntervalDialogTestExamples.java,v 6.0 2003/10/28 10:52:07 nisinaka Exp $
 */
public class JunCalendarDateAndTimeIntervalDialogTestExamples
	extends JunTestExamples {
	/**
	 * Example1: Call Request().
	 *
	 * @return boolean
	 */
	public static boolean Example1() {
		JunCalendarDateAndTimeModel[] dateAndTimes =
			JunCalendarDateAndTimeIntervalDialog.Request();
		if (dateAndTimes != null) {
			System.out.println(dateAndTimes[0] + ", " + dateAndTimes[1]);
		}
		return true;
	}

	/**
	 * Execute all examples.
	 *
	 * @param args an array of command-line argumetns
	 */
	public static void main(java.lang.String[] args) {
		new JunCalendarDateAndTimeIntervalDialogTestExamples();
	}
}
