package sra.jun.goodies.calendar;

import java.util.Calendar;

import sra.jun.system.support.JunTestExamples;

/**
 * JunCalendarTimeDialogTestExamples class
 * 
 *  @author    Nobuto Matsubara
 *  @created   2003/10/06 (by Nobuto Matsubara)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on Jun472 for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunCalendarTimeDialogTestExamples.java,v 6.0 2003/10/28 10:52:07 nisinaka Exp $
 */
public class JunCalendarTimeDialogTestExamples extends JunTestExamples {
	/**
	 * Example1: Call Request().
	 *
	 * @return boolean
	 */
	public static boolean Example1() {
		String[] ampm = { "AM", "PM" };
		Calendar time = JunCalendarTimeDialog.Request();
		if (time != null) {
			System.out.print(time.get(Calendar.HOUR));
			System.out.print(":" + time.get(Calendar.MINUTE));
			System.out.print(":" + time.get(Calendar.SECOND));
			System.out.println(" " + ampm[time.get(Calendar.AM_PM)]);
		}
		return true;
	}

	/**
	 * Execute all examples.
	 *
	 * @param args an array of command-line argumetns
	 */
	public static void main(java.lang.String[] args) {
		new JunCalendarTimeDialogTestExamples();
	}
}
