package sra.jun.goodies.cursors;

import sra.jun.system.support.JunTestExamples;

/**
 * JunCursorsTestExamples class
 * 
 *  @author    nisinaka
 *  @created   2002/11/27 (by nisinaka)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on Jun472 for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunCursorsTestExamples.java,v 6.0 2003/10/28 10:52:08 nisinaka Exp $
 */
public class JunCursorsTestExamples extends JunTestExamples {

	/**
	 * Example1: show and restore
	 * 
	 * @return DOCUMENT ME!
	 */
	public static boolean Example1() {
		JunCursors cursor = new JunCursors(JunCursors.ClockCursor());
		try {
			// Set the cursor for all frames.
			cursor._show();

			// Do something while showing the cursor.
			Thread.sleep(1000);
		} catch (InterruptedException e) {
		} finally {
			// Restore the cursor for all frames.
			cursor._restore();
		}
		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args an array of command-line arguments
	 */
	public static void main(java.lang.String[] args) {
		new JunCursorsTestExamples();
	}
}
