package sra.jun.goodies.display;

import java.awt.Component;
import java.awt.event.*;
import sra.smalltalk.*;

/**
 * JunDisplayController class
 * 
 *  @author    nisinaka
 *  @created   2002/01/09 (by nisinaka)
 *  @updated   2003/03/19 (by nisinaka)
 *  @version   406b (with StPL6.0) based on Jun473 for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunDisplayController.java,v 6.0 2003/10/28 10:52:08 nisinaka Exp $
 */
public class JunDisplayController extends StController implements MouseListener, MouseMotionListener {

	/**
	 * Set a view as an event listener.
	 * 
	 * @param aView sra.smalltalk.StView
	 */
	protected void buildListener(StView aView) {
		final Component aComponent = (Component) aView;
		aComponent.addMouseListener(this);
		aComponent.addMouseMotionListener(this);
	}
}
