package sra.jun.goodies.font;

import java.awt.Font;
import sra.jun.system.support.JunTestExamples;

/**
 * JunFontDialogTestExamples class
 * 
 *  @author    nisinaka
 *  @created   2003/03/03 (by nisinaka)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on Jun373 for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunFontDialogTestExamples.java,v 6.0 2003/10/28 10:52:09 nisinaka Exp $
 */
public class JunFontDialogTestExamples extends JunTestExamples {

	/**
	 * Example1: Create a new instance of JunFontModel and open it.
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		Font font = JunFontDialog.Request();
		System.out.println(font);
		return true;
	}

	/**
	 * Example2: Create a new instance of JunFontModel and open it.
	 * 
	 * @return boolean
	 */
	public static boolean Example2() {
		JunFontDialog fontDialog = new JunFontDialog();
		fontDialog.fontName_("Times New Roman");
		fontDialog.fontSize_(12);
		fontDialog.openDialog();
		Font font = fontDialog.font();
		System.out.println(font);
		return true;
	}

	/**
	 * Open a test example launcher.
	 * 
	 * @param args an array of command-line arguments
	 */
	public static void main(java.lang.String[] args) {
		new JunFontDialogTestExamples();
	}
}
