package sra.jun.goodies.font;

import sra.jun.system.support.JunTestExamples;

/**
 * JunFontModelTestExamples class
 * 
 *  @author    nisinaka
 *  @created   2003/02/28 (by nisinaka)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on Jun433 for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunFontModelTestExamples.java,v 6.0 2003/10/28 10:52:09 nisinaka Exp $
 */
public class JunFontModelTestExamples extends JunTestExamples {

	/**
	 * Example1: Create a new instance of JunFontModel and open it.
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		JunFontModel fontModel = new JunFontModel();
		fontModel.open();
		return true;
	}

	/**
	 * Example2: Create a new instance of JunFontModel and open it.
	 * 
	 * @return boolean
	 */
	public static boolean Example2() {
		JunFontModel fontModel = new JunFontModel();
		fontModel.fontName_("Dialog");
		fontModel.fontSize_(12);
		fontModel.open();
		return true;
	}

	/**
	 * Open a test example launcher.
	 * 
	 * @param args an array of command-line arguments
	 */
	public static void main(java.lang.String[] args) {
		new JunFontModelTestExamples();
	}
}
