package sra.jun.goodies.parameter;

/**
 * JunParameterModelTestExamples class
 * 
 *  @author    UNKNOWN
 *  @created   UNKNOWN
 *  @updated   2003/01/17 (by nisinaka)
 *  @version   406b (with StPL6.0) based on JunXXX for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunParameterModelTestExamples.java,v 6.0 2003/10/28 10:52:12 nisinaka Exp $
 */
public class JunParameterModelTestExamples extends sra.jun.system.support.JunTestExamples {

	/**
	 * Example1: open JunParameterModel.
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		(new JunParameterModel()).open();
		return true;
	}

	/**
	 * Examle2: open JunParameterModel with 1 parameter.
	 * 
	 * @return boolean
	 */
	public static boolean Example2() {
		JunParameterModel.OpenOnParameter_(JunParameter.Name_value_minValue_maxValue_("height", 6, 3, 12));

		return true;
	}

	/**
	 * Examle3: open JunParameterModel with 1 parameter.
	 * 
	 * @return boolean
	 */
	public static boolean Example3() {
		JunParameterModel.OpenOnParameter_(JunParameter.Name_value_minValue_maxValue_stepValue_("angle", 15, 0, 60, 5));
		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args an array of command-line arguments
	 */
	public static void main(java.lang.String[] args) {
		new JunParameterModelTestExamples();
	}
}
