package sra.jun.goodies.prolog;

import sra.smalltalk.StView;

/**
 * JunPrologInterpreterView interface
 * 
 *  @author    nisinaka
 *  @created   2003/05/06 (by nisinaka)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on Jun490 for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunPrologInterpreterView.java,v 6.0 2003/10/28 10:52:13 nisinaka Exp $
 */
public interface JunPrologInterpreterView extends StView {

	/**
	 * Answer my model as JunPrologInterpreter.
	 *
	 * @return sra.jun.goodies.prolog.JunPrologInterpreter
	 */
	public JunPrologInterpreter getPrologInterpreter();

	/**
	 * Answer the selected text to 'do it'.
	 *
	 * @return java.lang.String
	 */
	public String getSelectedText();
}
