package sra.jun.goodies.track;

import sra.smalltalk.StView;

/**
 * JunTrackerView interface
 * 
 *  @author    MATSUDA Ryouichi
 *  @created   1999/12/10 (by MATSUDA Ryouichi)
 *  @updated   2003/03/24 (by nisinaka)
 *  @version   406b (with StPL6.0) based on Jun472 for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunTrackerView.java,v 6.0 2003/10/28 10:52:14 nisinaka Exp $
 */
public interface JunTrackerView extends StView {

	/**
	 * Answer my model as JunTrackerModel.
	 * 
	 * @return sra.jun.goodies.track.JunTrackerModel
	 */
	public JunTrackerModel getTrackerModel();
}
