package sra.jun.goodies.wheels;

import sra.smalltalk.*;

/**
 * JunThumbWheelTestExamples class
 * 
 *  @author    He Weijie
 *  @created   1998/10/26 (by He Weijie)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on JunXXX for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunThumbWheelTestExamples.java,v 6.0 2003/10/28 10:52:14 nisinaka Exp $
 */
public class JunThumbWheelTestExamples extends sra.jun.system.support.JunTestExamples {

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		JunThumbWheel thumbWheel = new JunThumbWheel();
		thumbWheel.compute_(new StBlockClosure() {
			public Object value_(Object value) {
				System.out.println(value);

				return null;
			}
		});
		thumbWheel.open();
		thumbWheel.open();

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example2() {
		JunThumbWheel model = new JunThumbWheel();
		model.compute_(new StBlockClosure() {
			public Object value_(Object value) {
				System.out.println(value);

				return null;
			}
		});

		JunThumbWheelView view1 = (JunThumbWheelView) model.defaultView();
		view1.setVertical(true);
		model.openView_(view1);

		JunThumbWheelView view2 = (JunThumbWheelView) model.defaultView();
		view2.setVertical(true);
		model.openView_(view2);

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args an array of command-line arguments
	 */
	public static void main(java.lang.String[] args) {
		new JunThumbWheelTestExamples();
	}
}
