package sra.jun.opengl.chart;

import java.util.Vector;

/**
 * JunChartDataWithNumericalKeysTestExamples class
 * 
 *  @author    nisinaka
 *  @created   1999/01/14 (by nisinaka)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on JunXXX for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunChartDataWithNumericalKeysTestExamples.java,v 6.0 2003/10/28 10:52:17 nisinaka Exp $
 */
public class JunChartDataWithNumericalKeysTestExamples extends sra.jun.system.support.JunTestExamples {

	/**
	 * DOCUMENT ME!
	 * 
	 * @return DOCUMENT ME!
	 */
	public static boolean Example1() {
		JunChartDataWithNumericalKeys newChartData = new JunChartDataWithNumericalKeys(SampleSamples());
		System.out.println(newChartData.printString());

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 */
	public static void main(String[] args) {
		new JunChartDataWithNumericalKeysTestExamples();
	}

	/**
	 * Sample data.
	 * 
	 * @return java.util.Vector
	 */
	protected static Vector SampleSamples() {
		Vector samples = new Vector();

		//
		Object[] anArray1 = { new Integer(4), new Integer(80), new Integer(320)};
		Object[] anArray2 = { new Integer(2), new Integer(20), new Integer(40)};
		Object[] anArray3 = { new Integer(1), new Integer(10), new Integer(10)};
		Object[] anArray4 = { new Integer(3), new Integer(40), new Integer(120)};
		Vector sample = new Vector(4);
		sample.addElement(anArray1);
		sample.addElement(anArray2);
		sample.addElement(anArray3);
		sample.addElement(anArray4);

		//
		samples.addElement(sample);

		return samples;
	}
}
