package sra.jun.opengl.display;

import sra.smalltalk.*;

/**
 * JunOpenGL3dView interface
 * 
 *  @author    MATSUDA Ryouichi
 *  @created   2000/01/10 (by MATSUDA Ryouichi)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on Jun475 for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOpenGL3dView.java,v 6.0 2003/10/28 10:52:17 nisinaka Exp $
 */
public interface JunOpenGL3dView extends StView {

	/**
	 * Answer my model as a JunOpenGL3dModel.
	 * 
	 * @return sra.jun.opengl.display.JunOpenGLShowModel
	 */
	public JunOpenGL3dModel getOpenGL3dModel();

	/**
	 * menu model.
	 * 
	 * @param aMenu sra.smalltalk.StMenu
	 */
	public void setPopupMenu(StMenu aMenu);
}
