package sra.jun.opengl.display;

import sra.smalltalk.*;

/**
 * JunOpenGLDisplayView interface
 * 
 *  @author    MATSUDA Ryouichi
 *  @created   2000/01/10 (by MATSUDA Ryouichi)
 *  @updated   2003/05/14 (by nisinaka)
 *  @version   406b (with StPL6.0) based on Jun475 for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOpenGLDisplayView.java,v 6.0 2003/10/28 10:52:17 nisinaka Exp $
 */
public interface JunOpenGLDisplayView extends StView {

	/**
	 * Answer my model as JunOpenGLDisplayModel.
	 * 
	 * @return sra.jun.opengl.display.JunOpenGLDisplayModel
	 */
	public JunOpenGLDisplayModel getOpenGLDisplayModel();

	/**
	 * Answer my current OpenGL view.
	 * 
	 * @return sra.jun.opengl.display.JunOpenGLDisplayView
	 */
	public JunOpenGL3dView getOpenGLView();
}
