package sra.jun.opengl.display;

import sra.smalltalk.StController;

/**
 * JunOpenGLEmbeddedDisplayViewSwing class
 * 
 *  @author    nisinaka
 *  @created   2003/01/08 (by nisinaka)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on JunXXX for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOpenGLEmbeddedDisplayViewSwing.java,v 6.0 2003/10/28 10:52:17 nisinaka Exp $
 */
public class JunOpenGLEmbeddedDisplayViewSwing extends JunOpenGLDisplayViewSwing implements JunOpenGLEmbeddedDisplayView {

	/**
	 * Create a new instance of JunOpenGLEmbeddedDisplayViewSwing and initialize it.
	 *
	 * @param aModel sra.jun.opengl.display.JunOpenGLEmbeddedDisplayModel
	 */
	public JunOpenGLEmbeddedDisplayViewSwing(JunOpenGLEmbeddedDisplayModel aModel) {
		super(aModel);
		this.getOpenGLView().setPopupMenu(aModel.popupMenu());
	}

	/**
	 * Answer a default controller.
	 * 
	 * @return sra.smalltalk.StController
	 */
	protected StController defaultController() {
		return new JunOpenGLEmbeddedDisplayController();
	}
}
