package sra.jun.opengl.picking;

import java.awt.*;
import sra.jun.geometry.basic.*;
import sra.jun.opengl.display.*;
import sra.jun.opengl.objects.*;
import sra.jun.opengl.projection.*;

/**
 * JunOpenGLObjectPickerTestExamples class
 * 
 *  @author    UNKNOWN
 *  @created   UNKNOWN
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on JunXXX for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOpenGLObjectPickerTestExamples.java,v 6.0 2003/10/28 10:52:19 nisinaka Exp $
 */
public class JunOpenGLObjectPickerTestExamples extends sra.jun.system.support.JunTestExamples {

	/**
	 * DOCUMENT ME!
	 * 
	 * @param args DOCUMENT ME!
	 */
	public static void main(String[] args) {
		new JunOpenGLObjectPickerTestExamples();
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return DOCUMENT ME!
	 */
	public static boolean ManualExample1() {
		JunOpenGL3dObject aBox;
		JunOpenGL3dObject aGlobe;
		JunOpenGL3dObject aPickedObject;
		JunOpenGL3dCompoundObject aCompoundObject;
		JunOpenGLDisplayModel aDisplayModel;
		Jun2dPoint aPoint;
		JunOpenGLProjection aProjection;

		aBox = JunOpenGL3dObject.Box();
		aBox.paint_(Color.green);
		aGlobe = JunOpenGL3dObject.Globe();
		aGlobe.paint_(Color.red);
		aCompoundObject = new JunOpenGL3dCompoundObject();
		aCompoundObject.add_(aBox);
		aCompoundObject.add_(aGlobe);
		aDisplayModel = new JunOpenGLDisplayModel(aCompoundObject);
		aDisplayModel.open();
		aPoint = new Jun2dPoint(0, 0);
		aProjection = aDisplayModel.displayProjector().projection();
		aPickedObject = JunOpenGLObjectPicker.PickObjectAt_fromCompound_projection_(aPoint, aCompoundObject, aProjection);
		(new JunOpenGLDisplayModel(aPickedObject)).open();

		return true;
	}
}
