package sra.jun.opengl.rotation;

import sra.jun.geometry.basic.Jun2dPoint;

/**
 * JunOpenGLRotationModelTestExamples class
 * 
 *  @author    nisinaka
 *  @created   1998/12/09 (by nisinaka)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on JunXXX for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOpenGLRotationModelTestExamples.java,v 6.0 2003/10/28 10:52:21 nisinaka Exp $
 */
public class JunOpenGLRotationModelTestExamples extends sra.jun.system.support.JunTestExamples {

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		JunOpenGLRotationModel model = new JunOpenGLRotationModel();
		model.open();

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example2() {
		JunOpenGLRotationModel model = new JunOpenGLRotationModel();
		model.polyline_(new JunOpenGLRotationPolyline(new Jun2dPoint[] { new Jun2dPoint(-1.0, 2.0), new Jun2dPoint(1.0, 2.0)}));
		model.open();

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 */
	public static void main(String[] args) {
		new JunOpenGLRotationModelTestExamples();
	}
}
