package sra.jun.topology.abstracts;

import sra.smalltalk.StObject;

/**
 * JunTopology class
 * 
 *  @author    ASTI Shanghai
 *  @created   UNKNOWN
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on JunXXX for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunTopology.java,v 6.0 2003/10/28 10:52:24 nisinaka Exp $
 */
public abstract class JunTopology extends StObject {

	/**
	 * Answer true if the receiver is a kind of topological proxy, otherwise
	 * false.
	 * 
	 * @return boolean
	 */
	public boolean isGeometry() {
		return false;
	}

	/**
	 * Answer true if the receiver is a kind of geometry, otherwise false.
	 * 
	 * @return boolean
	 */
	public boolean isTopologicalProxy() {
		return false;
	}

	/**
	 * Answer true if the receiver is a kind of topology, otherwise false.
	 * 
	 * @return boolean
	 */
	public boolean isTopology() {
		return true;
	}
}
