package sra.jun.voronoi.twoD.diagram;

import sra.jun.system.support.JunTestExamples;

/**
 * JunVoronoi2dSideTestExamples class
 * 
 *  @author    NISHIHARA Satoshi
 *  @created   2000/01/25 (by NISHIHARA Satoshi)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on JunXXX for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunVoronoi2dSideTestExamples.java,v 6.0 2003/10/28 10:52:27 nisinaka Exp $
 */
public class JunVoronoi2dSideTestExamples extends JunTestExamples {

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		JunVoronoi2dSide side = new JunVoronoi2dSide(new JunVoronoi2dPoint(0, 0), new JunVoronoi2dPoint(1, 1));
		System.out.println(side);

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example2() {
		JunVoronoi2dSide side1 = new JunVoronoi2dSide(new JunVoronoi2dPoint(0, 0), new JunVoronoi2dPoint(1, 1));
		JunVoronoi2dSide side2 = new JunVoronoi2dSide(new JunVoronoi2dPoint(1, 0), new JunVoronoi2dPoint(0, 1));
		JunVoronoi2dPoint point = side1.intersectingPointWithSide_(side2);
		System.out.println(point);

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example3() {
		JunVoronoi2dSide side = JunVoronoi2dSide.From_to_(new JunVoronoi2dPoint(0, 0), new JunVoronoi2dPoint(1, 1));
		System.out.println(side);

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 * 
	 * @throws Exception DOCUMENT ME!
	 */
	public static void main(String[] args) throws Exception {
		new JunVoronoi2dSideTestExamples();
	}
}
