package sra.jun.vrml.field.sf;

/**
 * JunVrmlSFInt32Field class
 * 
 *  @author    nisinaka
 *  @created   2000/03/29 (by nisinaka)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on JunXXX for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunVrmlSFInt32Field.java,v 6.0 2003/10/28 10:52:28 nisinaka Exp $
 */
public class JunVrmlSFInt32Field extends sra.jun.vrml.field.abstracts.JunVrmlSFField {
	protected int value;

	/**
	 * Create a new instance of JunVrmlSFInt32Field and initialize it.
	 * 
	 * @param number int
	 */
	public JunVrmlSFInt32Field(int number) {
		this.value_(number);
	}

	/**
	 * Answer my value.
	 * 
	 * @return int
	 */
	public int value() {
		return value;
	}

	/**
	 * Set my value.
	 * 
	 * @param intValue int
	 */
	public void value_(int intValue) {
		value = intValue;
	}
}
