package sra.jun.vrml.field.sf;

/**
 * JunVrmlSFStringField class
 * 
 *  @author    ASTI Beijing
 *  @created   UNKNOWN
 *  @updated   2000/03/17 (by nisinaka)
 *  @version   406b (with StPL6.0) based on JunXXX for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunVrmlSFStringField.java,v 6.0 2003/10/28 10:52:28 nisinaka Exp $
 */
public class JunVrmlSFStringField extends sra.jun.vrml.field.abstracts.JunVrmlSFField {
	protected String value;

	/**
	 * Create a JunVrmlSFStringField and initialize it.
	 * 
	 * @param anObject java.lang.Object
	 */
	public JunVrmlSFStringField(Object anObject) {
		this((String) anObject);
	}

	/**
	 * Create a new instance of JunVrmlSFStringField and initialize it.
	 * 
	 * @param aString java.lang.String
	 */
	public JunVrmlSFStringField(String aString) {
		this.value_(aString);
	}

	/**
	 * Answer my value.
	 * 
	 * @return java.lang.String
	 */
	public String value() {
		return value;
	}

	/**
	 * Set my value.
	 * 
	 * @param aString java.lang.String
	 */
	public void value_(String aString) {
		value = aString;
	}
}
