package sra.jun.vrml.node.abstracts;

/**
 * JunVrmlAbstractGroupingNode class
 * 
 *  @author    ASTI Beijing
 *  @created   UNKNOWN
 *  @updated   2000/03/27 (by nisinaka)
 *  @version   406b (with StPL6.0) based on JunXXX for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunVrmlAbstractGroupingNode.java,v 6.0 2003/10/28 10:52:28 nisinaka Exp $
 */
public abstract class JunVrmlAbstractGroupingNode extends JunVrmlNode {

	/**
	 * Answer true if the receiver is a grouping node, otherwise false.
	 * 
	 * @return boolean
	 */
	public boolean isGroupingNode() {
		return true;
	}
}
