package sra.jun.vrml.support;

import sra.jun.opengl.display.JunOpenGLDisplayModel;
import sra.jun.vrml.node.abstracts.JunVrmlNode;

/**
 * JunVrmlGenerator10TestExamples class
 * 
 *  @author    nisinaka
 *  @created   2000/04/18 (by nisinaka)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on JunXXX for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunVrmlGenerator10TestExamples.java,v 6.0 2003/10/28 10:52:31 nisinaka Exp $
 */
public class JunVrmlGenerator10TestExamples extends sra.jun.system.support.JunTestExamples {

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example() {
		JunVrmlParser10 aParser = new JunVrmlParser10();
		JunVrmlNode[] nodes = aParser.parse_(JunVrmlCompilerTestExamples.Benzene10());
		JunVrmlGenerator10 aGenerator = new JunVrmlGenerator10();
		JunOpenGLDisplayModel aModel = aGenerator.generate_(nodes);
		aModel.open();

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args DOCUMENT ME!
	 */
	public static void main(String[] args) {
		new JunVrmlGenerator10TestExamples();
	}
}
