package sra.smalltalk;

/**
 * DependentEvent class
 * 
 *  @author    MATSUDA Ryouichi
 *  @created   1999/06/24 (by MATSUDA Ryouichi)
 *  @updated   N/A
 *  @version   6.0
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: DependentEvent.java,v 6.0 2003/10/28 10:52:32 nisinaka Exp $
 */
public class DependentEvent extends java.util.EventObject {

	protected StSymbol aspect;
	protected Object parameter;

	/**
	 * DOCUMENT ME!
	 * 
	 * @param source java.lang.Object
	 * @param anAspect sra.smalltalk.StSymbol
	 * @param aParameter java.lang.Object
	 */
	public DependentEvent(Object source, StSymbol anAspect, Object aParameter) {
		super(source);
		aspect = anAspect;
		parameter = aParameter;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return sra.smalltalk.StSymbol
	 */
	public StSymbol getAspect() {
		return aspect;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return java.lang.Object
	 */
	public Object getParameter() {
		return parameter;
	}
}
