package sra.smalltalk;

/**
 * DependentListener interface
 * 
 *  @author    MATSUDA Ryouichi
 *  @created   1999/06/24 (by MATSUDA Ryouichi)
 *  @updated   N/A
 *  @version   6.0
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: DependentListener.java,v 6.0 2003/10/28 10:52:32 nisinaka Exp $
 */
public interface DependentListener extends java.util.EventListener {

	/**
	 * Called when a changed method is invoked on a dependence.
	 * 
	 * @param evt sra.smalltalk.DependentEvent
	 */
	public void update_(DependentEvent evt);
}
