package sra.smalltalk;

/**
 * StReadStreamTestExamples class
 * 
 *  @author    He Weijie
 *  @created   1998/10/09 (by He Weijie)
 *  @updated   N/A
 *  @version   6.0
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: StReadStreamTestExamples.java,v 6.0 2003/10/28 10:52:32 nisinaka Exp $
 */
public class StReadStreamTestExamples extends SmalltalkTestExamples {

	/**
	 * The usage of nextPut().
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		try {
			StReadStream aReadStream = new StReadStream("this is a test");

			while (!aReadStream.atEnd()) {
				System.out.print(aReadStream.next());
			}

			System.out.println();

			return true;
		} catch (Exception e) {
			return false;
		}
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @param args DOCUMENT ME!
	 */
	public static void main(String[] args) {
		new StReadStreamTestExamples();
	}
}
