package sra.smalltalk;

/**
 * StSimpleDialogTestExamples class
 * 
 *  @author    nisinaka
 *  @created   2003/03/17 (by nisinaka)
 *  @updated   N/A
 *  @version   6.0
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: StSimpleDialogTestExamples.java,v 6.0 2003/10/28 10:52:32 nisinaka Exp $
 */
public class StSimpleDialogTestExamples extends SmalltalkTestExamples {

	/**
	 * Example: show a dialog to choose.
	 * 
	 * @return boolean
	 */
	public static boolean Example_choose() {
		Object result;
		result = (new StSimpleDialog()).choose_labels_values_default_equalize_("Are you tired yet?", new String[] { "absolutely", "sort of", "not really" }, new StSymbol[] { $("yes"), $("maybe"), $("no")}, $("maybe"), true);
		System.out.println(result);
		result =
			(new StSimpleDialog()).choose_labels_values_default_equalize_("Are you completely sure?", new String[] { "definitely", "sort of no", "sort of yes", "nope" }, new StSymbol[] { $("yes"), $("maybeNo"), $("maybeYes"), $("no")}, $("no"), false);
		System.out.println(result);
		return true;
	}

	/**
	 * Example: show a dialog to request.
	 * 
	 * @return boolean
	 */
	public static boolean Example_request() {
		Object result;
		result = (new StSimpleDialog()).request_initialAnswer_onCancel_("Your name?", "name", new StBlockClosure() {
			public Object value() {
				return "Freddy";
			}
		});
		System.out.println(result);
		return true;
	}

	/**
	 * Execute all examles.
	 * 
	 * @param args java.lang.String[]
	 */
	public static void main(String[] args) {
		new StSimpleDialogTestExamples();
	}
}
