package sra.jun.collections.linkedlist;

import sra.jun.system.support.JunTestExamples;

/**
 * JunDoubleLinkedListTestExamples class
 * 
 *  @author    nisinaka
 *  @created   2002/01/21 (by nisinaka)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on JunXXX for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunDoubleLinkedListTestExamples.java,v 6.0 2003/10/28 10:52:02 nisinaka Exp $
 */
public class JunDoubleLinkedListTestExamples extends JunTestExamples {

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		JunDoubleLinkedList linkedList = new JunDoubleLinkedList();
		linkedList.add_(new Integer(10));
		linkedList.add_(new Integer(20));
		linkedList.addFirst_(new Integer(30));
		linkedList.addFirst_(new Integer(40));

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example3() {
		JunDoubleLinkedList linkedList = new JunDoubleLinkedList();
		linkedList.add_(new Integer(20));
		linkedList.add_(new Integer(30));
		linkedList.addFirst_(new Integer(10));
		linkedList.addLast_(new Integer(40));
		linkedList.add_before_(new Integer(15), new Integer(20));
		linkedList.add_after_(new Integer(35), new Integer(30));
		linkedList.add_before_(new Integer(5), null);
		linkedList.add_after_(new Integer(45), null);

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 * 
	 * @throws Exception DOCUMENT ME!
	 */
	public static void main(String[] args) throws Exception {
		new JunDoubleLinkedListTestExamples();
	}
}
