package sra.jun.geometry.surfaces;

import sra.jun.geometry.basic.*;

/**
 * Jun2dPolygonTestExamples class
 * 
 *  @author    nisinaka
 *  @created   1999/07/28 (by nisinaka)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on JunXXX for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: Jun2dPolygonTestExamples.java,v 6.0 2003/10/28 10:52:06 nisinaka Exp $
 */
public class Jun2dPolygonTestExamples extends sra.jun.system.support.JunTestExamples {

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		Jun2dPoint[] points = { new Jun2dPoint(0, 0), new Jun2dPoint(2, 0), new Jun2dPoint(2, 2), new Jun2dPoint(0, 2)};
		Jun2dPolygon polygon = new Jun2dPolygon(points);
		System.out.println(polygon.signedArea());

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args an array of command-line arguments
	 */
	public static void main(java.lang.String[] args) {
		new Jun2dPolygonTestExamples();
	}
}
