package sra.jun.goodies.calendar;

import java.awt.Color;
import java.util.Vector;

import sra.smalltalk.StView;

/**
 * JunCalendarTimeView interface
 * 
 *  @author    Nobuto Matsubara
 *  @created   2003/10/06 (by Nobuto Matsubara)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on Jun472 for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunCalendarTimeView.java,v 6.0 2003/10/28 10:52:07 nisinaka Exp $
 */
public interface JunCalendarTimeView extends StView {
	public static final Color veryLightGray =
		new Color((float) 0.8, (float) 0.8, (float) 0.8);
	public static final Color veryDarkGray =
		new Color((float) 0.5, (float) 0.5, (float) 0.5);

	/**
	 * Return frames.
	 *
	 * @return java.util.Vector
	 * @category accessing
	 */
	public Vector frames();
}
