package sra.jun.goodies.colors;

import sra.smalltalk.StSimpleDialogView;

/**
 * JunColorChoiceDialogView interface
 * 
 *  @author    Mitsuhiro Asada
 *  @created   2003/04/02 (by Mitsuhiro Asada)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on Jun490 for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunColorChoiceDialogView.java,v 6.0 2003/10/28 10:52:08 nisinaka Exp $
 */
public interface JunColorChoiceDialogView extends StSimpleDialogView {

	/**
	 * Answer my model as a JunColorChoiceDialog.
	 * 
	 * @return sra.jun.goodies.colors.JunColorChoiceDialog
	 */
	public JunColorChoiceDialog getColorChoiceDialog();
}
