package sra.jun.goodies.colors;

import java.awt.Color;
import sra.smalltalk.SystemInterface;

/**
 * JunColorSpuit class
 * 
 *  @author    Hoshi Takanori
 *  @created   2002/03/04 (by Hoshi Takanori)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on JunXXX for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunColorSpuit.java,v 6.0 2003/10/28 10:52:08 nisinaka Exp $
 */
public class JunColorSpuit {

	/**
	 * Request color spuit.
	 * 
	 * @return java.awt.Color
	 */
	public static Color Request() {
		SystemInterface StPLInterface = SystemInterface.Current();
		synchronized (StPLInterface) {
			return new Color(StPLInterface.utilColorSpuit());
		}
	}
}
