package sra.jun.goodies.colors;

import java.awt.Color;
import sra.jun.system.support.JunTestExamples;
import sra.smalltalk.StImage;

/**
 * JunColorSpuitTestExamples class
 * 
 *  @author    Hoshi Takanori
 *  @created   2002/03/04 (by Hoshi Takanori)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on JunXXX for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunColorSpuitTestExamples.java,v 6.0 2003/10/28 10:52:08 nisinaka Exp $
 */
public class JunColorSpuitTestExamples extends JunTestExamples {

	/**
	 * Example1.
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		Color color = JunColorSpuit.Request();
		int[] bits = new int[100 * 100];

		for (int i = 0; i < bits.length; ++i) {
			bits[i] = color.getRGB();
		}

		StImage image = new StImage(100, 100, bits);
		image._display();

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args an array of command-line arguments
	 */
	public static void main(String[] args) {
		new JunColorSpuitTestExamples();
	}
}
