package sra.jun.goodies.display;

import sra.smalltalk.*;

/**
 * JunDisplayView interface
 * 
 *  @author    MATSUDA Ryouichi
 *  @created   1999/11/11 (by MATSUDA Ryouichi)
 *  @updated   2002/11/21 (by nisinaka)
 *  @updated   2003/03/19 (by nisinaka)
 *  @version   406b (with StPL6.0) based on Jun473 for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunDisplayView.java,v 6.0 2003/10/28 10:52:08 nisinaka Exp $
 */
public interface JunDisplayView extends StView {

	/**
	 * Answer my model as JunDisplayModel.
	 * 
	 * @return sra.jun.goodies.display.JunDisplayModel
	 */
	public JunDisplayModel getDisplayModel();
}
