package sra.jun.goodies.gauge;

import sra.smalltalk.StView;

/**
 * JunSimpleGaugeView interface
 * 
 *  @author    Hoshi Takanori
 *  @created   2003/08/28 (by Hoshi Takanori)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on Jun433 for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunSimpleGaugeView.java,v 6.0 2003/10/28 10:52:11 nisinaka Exp $
 */
public interface JunSimpleGaugeView extends StView {

	/**
	 * Answer my model as JunSimpleGaugeModel.
	 *
	 * @return sra.jun.goodies.gauge.JunSimpleGaugeModel
	 */
	public JunSimpleGaugeModel getSimpleGaugeModel();
}
