package sra.jun.goodies.multimedia;

import sra.smalltalk.StView;

/**
 * JunMultiMediaViewerView interface
 * 
 *  @author    nisinaka
 *  @created   2003/03/18 (by nisinaka)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on Jun486 for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunMultiMediaViewerView.java,v 6.0 2003/10/28 10:52:12 nisinaka Exp $
 */
public interface JunMultiMediaViewerView extends StView {

	/**
	 * Answer my model as JunMultiMediaViewer.
	 *
	 * @return sra.jun.goodies.multimedia.JunMultiMediaViewer
	 */
	public JunMultiMediaViewer getMultiMediaViewer();
}
