package sra.jun.goodies.parameter;

/**
 * JunParametersModelTestExamples class
 * 
 *  @author    UNKNOWN
 *  @created   UNKNOWN
 *  @updated   2003/01/17 (by nisinaka)
 *  @version   406b (with StPL6.0) based on JunXXX for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunParametersModelTestExamples.java,v 6.0 2003/10/28 10:52:12 nisinaka Exp $
 */
public class JunParametersModelTestExamples extends sra.jun.system.support.JunTestExamples {

	/**
	 * Example1: open JunParametersModel.
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		(new JunParametersModel()).open();
		return true;
	}

	/**
	 * Example2: open JunParametersModel with a JunParameter.
	 * 
	 * @return boolean
	 */
	public static boolean Example2() {
		JunParametersModel.OpenOnParameters_(new JunParameter[] { JunParameter.Name_value_minValue_maxValue_stepValue_("param", 5, 1, 10, 1)});
		return true;
	}

	/**
	 * Example3: open JunPramaetersModel with 4 JunParameters.
	 * 
	 * @return boolean
	 */
	public static boolean Example3() {
		JunParametersModel.OpenOnParameters_(new JunParameter[] { JunParameter.Name_value_("param 1", 10), JunParameter.Name_value_("param 2", 40), JunParameter.Name_value_("param 3", 70), JunParameter.Name_value_("param 4", 100)});
		return true;
	}

	/**
	 * Example4: open JunPramaetersModel with 4 JunParameters.
	 * 
	 * @return boolean
	 */
	public static boolean Example4() {
		JunParametersModel aParametersModel = new JunParametersModel(new JunParameter[] { JunParameter.Name_value_minValue_maxValue_stepValue_("param", 5, 1, 10, 1)});
		aParametersModel.open();
		aParametersModel.parameters_(new JunParameter[] { JunParameter.Name_value_("param 1", 10), JunParameter.Name_value_("param 2", 40), JunParameter.Name_value_("param 3", 70), JunParameter.Name_value_("param 4", 100)});
		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @param args DOCUMENT ME!
	 */
	public static void main(java.lang.String[] args) {
		new JunParametersModelTestExamples();
	}
}
