package sra.jun.goodies.sound;

import java.awt.*;
import sra.smalltalk.*;

/**
 * JunSoundLevelMeterView interface
 * 
 *  @author    Hoshi Takanori
 *  @created   2003/08/29 (by Hoshi Takanori)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on Jun472 for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunSoundLevelMeterView.java,v 6.0 2003/10/28 10:52:14 nisinaka Exp $
 */
public interface JunSoundLevelMeterView extends StView {

	/**
	 * Display on the graphics.
	 * 
	 * @param graphicsContext java.awt.Graphics
	 */
	public void displayOn_(Graphics graphicsContext);

	/**
	 * Display the level value on the graphics context.
	 *
	 * @param graphicsContext java.awt.Graphics
	 * @param levelValue double[]
	 */
	public void displayOn_levelValue_(Graphics graphicsContext, double[] levelValue);
}
