package sra.jun.goodies.wheels;

import java.awt.*;
import sra.smalltalk.StView;

/**
 * JunThumbWheelView interface
 * 
 *  @author    MATSUDA Ryouichi
 *  @created   1999/12/17 (by MATSUDA Ryouichi)
 *  @updated   2000/11/16 (by Mitsuhiro Asada)
 *  @version   406b (with StPL6.0) based on JunXXX for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunThumbWheelView.java,v 6.0 2003/10/28 10:52:14 nisinaka Exp $
 */
public interface JunThumbWheelView extends StView {

	/**
	 * Vertical property.
	 * 
	 * @return boolean
	 */
	public boolean isVertical();

	/**
	 * Please refer to the corresponding method in Smalltalk.
	 * 
	 * @param deltaPoint java.awt.Point
	 */
	public abstract void rotateDelta_(Point deltaPoint);

	/**
	 * Vertical property.
	 * 
	 * @param aBoolean boolean
	 */
	public void setVertical(boolean aBoolean);
}
