package sra.jun.opengl.chart;

import sra.jun.system.support.JunTestExamples;

/**
 * JunChartPieTestExamples class
 * 
 *  @author    nisinaka
 *  @created   1999/01/14 (by nisinaka)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on JunXXX for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunChartPieTestExamples.java,v 6.0 2003/10/28 10:52:17 nisinaka Exp $
 */
public class JunChartPieTestExamples extends JunTestExamples {

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example() {
		JunChartPie aChart = new JunChartPie(JunChartDataTestExamples.SampleSamples());
		aChart.open();

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		JunChartPie aChart = new JunChartPie(JunChartDataTestExamples.SampleSamples(), 1);
		aChart.open();

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example2() {
		JunChartPie aChart = new JunChartPie(JunChartDataTestExamples.SampleSamples(), 1);
		aChart.hideLabels();
		aChart.open();

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example3() {
		JunChartPie aChart = new JunChartPie(JunChartDataTestExamples.SampleSamples2(), 1);
		aChart.open();

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example4() {
		JunChartPie aChart = new JunChartPie(JunChartDataTestExamples.SampleSamples2(), 1);
		aChart.radius_(0.2);
		aChart.thickness_(0.1);
		aChart.open();

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean ExampleX() {
		JunChartPie aChart = new JunChartPie(JunChartDataTestExamples.SampleSamples2(), 1);
		aChart.hideLabels();
		aChart.open();

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args an array of command-line arguments
	 */
	public static void main(java.lang.String[] args) {
		new JunChartBarTestExamples();
	}
}
