package sra.jun.opengl.parameterizedbody;

import sra.jun.opengl.objects.JunOpenGL3dObject;
import sra.jun.topology.elements.JunBody;

/**
 * JunParameterizedOrPaintedBody interface
 * 
 *  @author    MATSUDA Ryouichi
 *  @created   1999/01/07 (MATSUDA Ryouichi)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on JunXXX for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunParameterizedOrPaintedBody.java,v 6.0 2003/10/28 10:52:19 nisinaka Exp $
 */
public interface JunParameterizedOrPaintedBody {
	/**
	 * Convert the receiver to a JunOpenGL3dObject.
	 * 
	 * @return sra.jun.opengl.objects.JunOpenGL3dObject
	 */
	public JunOpenGL3dObject asJunOpenGL3dObject();

	/**
	 * Answer a body.
	 * 
	 * @return sra.jun.topology.elements.JunBody
	 */
	public JunBody body();
}
