package sra.jun.system.framework;

/**
 * JunDialogTestExamples class
 * 
 *  @author    
 *  @created   UNKNOWN
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on JunXXX for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunDialogTestExamples.java,v 6.0 2003/10/28 10:52:22 nisinaka Exp $
 */
public class JunDialogTestExamples extends sra.jun.system.support.JunTestExamples {

	/**
	 * Example to confirm.
	 * 
	 * @return boolean
	 */
	public static boolean Example_confirm() {
		System.out.println(JunDialog.Confirm_("Are you happy?"));
		return true;
	}

	/**
	 * Example to request.
	 * 
	 * @return boolean
	 */
	public static boolean Example_request() {
		System.out.println(JunDialog.Request_("What is your name?", "Yoshiyuki NISHINAKA"));
		return true;
	}

	/**
	 * Example to warn.
	 * 
	 * @return boolean
	 */
	public static boolean Example_warn() {
		System.out.println(JunDialog.Warn_("This is a fatal error."));
		return true;
	}

	/**
	 * Execute the test examples.
	 *
	 * @param args java.lang.String[]
	 */
	public static void main(String[] args) {
		new JunDialogTestExamples();
	}
}
