package sra.jun.terrain.editor;

import java.awt.Rectangle;
import sra.jun.opengl.display.JunOpenGL3dView;
import sra.smalltalk.StView;

/**
 * JunTerrainEditView interface
 * 
 *  @author    nisinaka
 *  @created   2001/11/19 (by nisinaka)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on JunXXX for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunTerrainEditView.java,v 6.0 2003/10/28 10:52:23 nisinaka Exp $
 */
public interface JunTerrainEditView extends StView {

	/**
	 * Answer the bounds of the canvas area.
	 * 
	 * @return java.awt.Rectangle
	 */
	public Rectangle boundsOfCanvas();

	/**
	 * Answer the OpenGL view.
	 * 
	 * @return sra.jun.opengl.display.JunOpenGL3dView
	 */
	public JunOpenGL3dView getOpenGLView();
}
