package sra.jun.topology.abstracts;

/**
 * JunGeometricOperator class
 * 
 *  @author    ASTI Shanghai
 *  @created   UNKNOWN
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on JunXXX for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunGeometricOperator.java,v 6.0 2003/10/28 10:52:24 nisinaka Exp $
 */
public abstract class JunGeometricOperator extends JunAbstractOperator {

	/**
	 * Answer true if the receiver is a kind of Geometric Operator.
	 * 
	 * @return boolean
	 */
	public boolean isGeometricOperator() {
		return true;
	}

	/**
	 * Answer true if the receiver can be inverted.
	 * 
	 * @return boolean
	 */
	public boolean isInversable() {
		return true;
	}
}
