package sra.jun.topology.elements;

import sra.jun.topology.abstracts.*;

/**
 * JunVertexProxy class
 * 
 *  @author    ASTI Shanghai
 *  @created   UNKNOWN
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on JunXXX for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunVertexProxy.java,v 6.0 2003/10/28 10:52:25 nisinaka Exp $
 */
public class JunVertexProxy extends JunTopologicalElementProxy {

	/**
	 * Answer the JunTopologicalElement of JunBody corresponds to the receiver.
	 * 
	 * @param aJunBody sra.jun.topology.elements.JunBody
	 * 
	 * @return sra.jun.topology.abstracts.JunTopologicalElement
	 */
	public JunTopologicalElement value_(JunBody aJunBody) {
		return aJunBody.vertexAt_(this);
	}
}
