package sra.jun.topology.euleroperators;

import sra.jun.geometry.basic.Jun3dPoint;
import sra.jun.topology.elements.*;

/**
 * JunMELTestExamples class
 * 
 *  @author    ASTI Shanghai
 *  @created   UNKNOWN
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on JunXXX for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunMELTestExamples.java,v 6.0 2003/10/28 10:52:26 nisinaka Exp $
 */
public class JunMELTestExamples extends sra.jun.system.support.JunTestExamples {

	/**
	 * DOCUMENT ME!
	 * 
	 * @return DOCUMENT ME!
	 */
	public static boolean Example1() {
		JunMEVVL mevvl;
		JunMEL mel;
		mevvl = JunMEVVL.Body_point_point_(new JunBody(), new Jun3dPoint(0, 0, 0), new Jun3dPoint(1, 0, 0));
		mevvl.doOperation();
		mel = JunMEL.Body_loop_vertex_vertex_(mevvl.body(), mevvl.loop(), mevvl.vertex1(), mevvl.vertex2());
		mel.doOperation();

		//return mel;
		//#newEdge #newLoop #originalLoop #vertex1 #vertex2 #edge2 #edge3
		System.out.println("-------- #newEdge");
		System.out.println(mel.newEdge());
		System.out.println("\n-------- #newLoop");
		System.out.println(mel.newLoop());
		System.out.println("-------- #originalLoop");
		System.out.println(mel.originalLoop());
		System.out.println("-------- #vertex1");
		System.out.println(mel.vertex1());
		System.out.println("-------- #vertex2");
		System.out.println(mel.vertex2());
		System.out.println("-------- #edge2");
		System.out.println(mel.edge2());
		System.out.println("-------- #edge3");
		System.out.println(mel.edge3());

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @param args java.lang.String[]
	 */
	public static void main(String[] args) {
		new JunMELTestExamples();
	}
}
