package sra.jun.voronoi.twoD.diagram;

import sra.jun.system.support.JunTestExamples;

/**
 * JunVoronoi2dLineTestExamples class
 * 
 *  @author    NISHIHARA Satoshi
 *  @created   2000/01/25 (by NISHIHARA Satoshi)
 *  @updated   N/A
 *  @version   406b (with StPL6.0) based on JunXXX for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunVoronoi2dLineTestExamples.java,v 6.0 2003/10/28 10:52:27 nisinaka Exp $
 */
public class JunVoronoi2dLineTestExamples extends JunTestExamples {

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		JunVoronoi2dLine line = JunVoronoi2dLine.From_to_(new JunVoronoi2dDot(0, 0), new JunVoronoi2dDot(1, 1));
		System.out.println(line);

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example2() {
		JunVoronoi2dLine line1 = JunVoronoi2dLine.From_to_(new JunVoronoi2dDot(0, 0), new JunVoronoi2dDot(1, 1));
		JunVoronoi2dLine line2 = JunVoronoi2dLine.From_to_(new JunVoronoi2dDot(1, 0), new JunVoronoi2dDot(0, 1));
		System.out.println(line1.intersectingPointWithLine_(line2));

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example3() {
		JunVoronoi2dLine line = new JunVoronoi2dLine(new JunVoronoi2dDot(0, 0), new JunVoronoi2dDot(1, 1));
		System.out.println(line);

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 * 
	 * @throws Exception DOCUMENT ME!
	 */
	public static void main(String[] args) throws Exception {
		new JunVoronoi2dLineTestExamples();
	}
}
