package sra.jun.vrml.field.sf;

/**
 * JunVrmlSFFloatField class
 * 
 *  @author    ASTI Beijing
 *  @created   UNKNOWN
 *  @updated   2000/03/17 (by nisinaka)
 *  @version   406b (with StPL6.0) based on JunXXX for Smalltalk
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2003 Information-technology Promotion Agency,Japan (IPA)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunVrmlSFFloatField.java,v 6.0 2003/10/28 10:52:28 nisinaka Exp $
 */
public class JunVrmlSFFloatField extends sra.jun.vrml.field.abstracts.JunVrmlSFField {
	protected float value;

	/**
	 * Create a new instance of JunVrmlSFFloatField and initialize it.
	 * 
	 * @param number float
	 */
	public JunVrmlSFFloatField(float number) {
		this.value_(number);
	}

	/**
	 * Create a JunVrmlSFBoolField and initialize it.
	 * 
	 * @param anObject java.lang.Object
	 */
	public JunVrmlSFFloatField(Object anObject) {
		this(((Number) anObject).floatValue());
	}

	/**
	 * Answer my value.
	 * 
	 * @return float
	 */
	public float value() {
		return value;
	}

	/**
	 * Set my value.
	 * 
	 * @param floatValue float
	 */
	public void value_(float floatValue) {
		value = floatValue;
	}
}
