package sra.smalltalk;

import java.util.*;

/**
 * StButtonGroup class
 * 
 *  @author    MATSUDA Ryouichi
 *  @created   1999/09/16 (by MATSUDA Ryouichi)
 *  @updated   N/A
 *  @version   6.0
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: StButtonGroup.java,v 6.0 2003/10/28 10:52:32 nisinaka Exp $
 */
public class StButtonGroup {
	private Vector radioButtons = new Vector();
	private StRadioButtonMenuItem selection = null;

	/**
	 * Creates a new StMenuButtonGroup.
	 */
	public StButtonGroup() {
		super();
	}

	/**
	 * Adds the button to the group.
	 * 
	 * @param b DOCUMENT ME!
	 */
	public void add(StRadioButtonMenuItem b) {
		radioButtons.addElement(b);

		if ((selection == null) && b.isSelected()) {
			selection = b;
		}

		b.setGroup(this);
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @param anItem sra.smalltalk.StRadioButtonMenuItem
	 */
	void setSelection(StRadioButtonMenuItem anItem) {
		if (selection != anItem) {
			if (selection != null) {
				selection.selected_(false);
			}

			selection = anItem;
			selection.selected_(true);
		}
	}
}
