package sra.smalltalk;

/**
 * StSymbolTestExamples class
 * 
 *  @author    He Weijie
 *  @created   1998/10/09 (by He Weijie)
 *  @updated   N/A
 *  @version   6.0
 *  @copyright 1999-2003 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2003 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: StSymbolTestExamples.java,v 6.0 2003/10/28 10:52:32 nisinaka Exp $
 */
public class StSymbolTestExamples extends SmalltalkTestExamples {

	/**
	 * The usage of StSymbol().
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		try {
			StSymbol aSymbol = StSymbol.Intern_("test");

			System.out.println("value = " + aSymbol + " size = " + aSymbol.size());
			aSymbol = StSymbol.Intern_("test1");
			System.out.println("value = " + aSymbol + " size = " + aSymbol.size());

			StSymbol anotherSymbol = StSymbol.Intern_("test1");

			System.out.println("value = " + anotherSymbol + " size = " + anotherSymbol.size());

			return aSymbol == anotherSymbol;
		} catch (Exception e) {
			return false;
		}
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @param args DOCUMENT ME!
	 */
	public static void main(String[] args) {
		new StSymbolTestExamples();
	}
}
